TransactionUsageException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.transaction

## Class TransactionUsageException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.transaction.TransactionException
          - - org.springframework.transaction.TransactionUsageException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    IllegalTransactionStateException, InvalidIsolationLevelException, InvalidTimeoutException, NoTransactionException

      public class TransactionUsageException
      extends TransactionException

  Superclass for exceptions caused by inappropriate usage of a Spring transaction API.
  Since:
    22.03.2003
  Author:
    Rod Johnson
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionUsageException(String msg)` Constructor for TransactionUsageException.
    `TransactionUsageException(String msg, Throwable cause)` Constructor for TransactionUsageException.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionUsageException

          public TransactionUsageException(String msg)

      Constructor for TransactionUsageException.
      Parameters:
        `msg` - the detail message

    - #### TransactionUsageException

          public TransactionUsageException(String msg,
                                   Throwable cause)

      Constructor for TransactionUsageException.
      Parameters:
        `msg` - the detail message
        `cause` - the root cause from the transaction API in use